PositionOutOfRangeException (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.exception

## Class PositionOutOfRangeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - tv.amwa.maj.exception.PositionOutOfRangeException

- All Implemented Interfaces:
    Serializable, MAJException

      public class PositionOutOfRangeException
      extends RuntimeException
      implements MAJException

  Thrown when a given position, specified by frame count or timecode, is outside the the length of the referenced stream.

  No equivalent C result code could be found.

  See Also:
    `PositionType`, `TimecodeStream`, `RIFFChunk`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PositionOutOfRangeException()` Create a new position out of range exception with no message.
    `PositionOutOfRangeException(String msg)` Create a new position out of range exception with the given descriptive message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PositionOutOfRangeException

          public PositionOutOfRangeException(String msg)

      Create a new position out of range exception with the given descriptive message.

      Parameters:
        `msg` - Message describing the exception.

    - #### PositionOutOfRangeException

          public PositionOutOfRangeException()

      Create a new position out of range exception with no message.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.